#ifndef SERVICE_H
#define SERVICE_H

#include <QDBusArgument>

struct Service
{
    QString icon;
    QString name;
    QString storageId;
};

const QDBusArgument &operator<<(QDBusArgument &argument, const Service &service)
{
    argument.beginStructure();
    argument << service.icon;
    argument << service.name;
    argument << service.storageId;
    argument.endStructure();
    return argument;
}
const QDBusArgument &operator>>(const QDBusArgument &argument, Service &service)
{
    argument.beginStructure();
    argument >> service.icon;
    argument >> service.name;
    argument >> service.storageId;
    argument.endStructure();
    return argument;
}
Q_DECLARE_METATYPE(Service)

#endif // SERVICE_H
